/***************************************************************************************

***************************************************************************************/


/*
*************************************************************************************
* File name: 
* Function: 
*
*************************************************************************************
*/

#include "global.h"
#include "defines.h"

// ========================================================
// external variables
// ========================================================
extern const byte QP_SCALE_CR[64] ;

extern const int IVC_SCAN4[16];
extern const int IVC_SCAN8[64];
extern const int IVC_SCAN16[256];

// functions
void inv_transform_B8  (int curr_blk[MB_BLOCK_SIZE][MB_BLOCK_SIZE], int bsize);
void get_curr_blk      (int b8, int b4, struct img_par *img, int curr_blk[MB_BLOCK_SIZE][MB_BLOCK_SIZE], int bsize);
void idct_dequant_B8   (int b8, int b4,
                        int qp,                         // Quantization parameter
                        int curr_blk[MB_BLOCK_SIZE][MB_BLOCK_SIZE],
                        struct img_par *img,
                        int bsize );

int intrapred(struct img_par *img,int img_x,int img_y, int bsize);
